/*!
 Theme Name:   XposeNews
 Theme URI:    https://walkerwp.com/xposenews/
 Description:  This is the child theme for walkerpress, XposeNews is the magazine, news wordpress free theme which is suitable for blog, magazine, news portal, personal blog, travel blogs and magazine.
 Author:       WalkerWP
 Author URI:   https://walkerwp.com/
 Template:     walkerpress
 Version:      15.0.1
 Tested up to: 6.0
 Requires PHP: 5.6
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         custom-background, custom-logo, custom-menu, featured-images, threaded-comments, translation-ready, grid-layout, blog, news, two-columns, three-columns, footer-widgets, sticky-post
 Text Domain:  xposenews
*/
.featured-post-box, .category-post-wraper .category-post-box, .category-post-wraper .category-post-2 .category-post-content, .frontpage-content-block .walkerpress-widget-content, .sidebar-widget-block, .walkerwp-wraper.inner-wraper main#primary .content-layout.list-layout article, .sidebar-block section.widget, .missed-post-box, .single article, .page article, .single .comments-area, .related-posts, .walkerwp-wraper.inner-wraper main#primary .content-layout.grid-layout article, .walkerwp-wraper.inner-wraper main#primary .content-layout.full-layout article, .ticker-layout-2 .news-ticker-box span.focus-news-box, .news-ticker-box, .wc-author-box, .frontpage-sidebar-block .walkerpress-widget-content, main#primary section.no-results.not-found, .search.search-results main#primary article, section.error-404.not-found{
    border-top: 3px solid var(--primary-color) !important;
    padding: 20px;
    box-shadow: 0 0 15px rgb(0 0 0 / 13%)

}
.news-ticker-box{
    border-top: 0!important;
}
.walkerwp-grid-1, .walkerwp-grid-2, .walkerwp-grid-3, .walkerwp-grid-4, .walkerwp-grid-5, .walkerwp-grid-6, .walkerwp-grid-7, .walkerwp-grid-8, .walkerwp-grid-9, .walkerwp-grid-10, .walkerwp-grid-11, .walkerwp-grid-12 {
    padding-right: 30px;
    padding-left: 30px;
}
.walkerwp-wraper.inner-wraper main#primary .content-layout.grid-layout article,
.sidebar-block section.widget,
.walkerwp-wraper.inner-wraper main#primary article,
.wc-author-box,
.walkerwp-wraper.inner-wraper main#primary .content-layout.list-layout article,
.walkerwp-wraper.inner-wraper main#primary .content-layout.full-layout article{
    padding: 40px;
}
.featured-post-grid, .related-post-list {
    grid-gap: 40px;

}
.box-title span{
    background: transparent;
    color: var(--primary-color);
    font-size: 24px;
    padding: 15px;
}
.latest-post .box-title, .popular-posts .box-title, .sidebar-block .block-header, .box-title{
    text-align: center;
}
.latest-post .box-title, .popular-posts .box-title, .sidebar-block .block-header, .box-title {
    border-bottom: 2px solid var(--primary-color);
}
.missed-post-box .post-thumbnail,
.featured-post-box .post-thumbnail{
    height: 300px;
}
.banner-layout-1 .walkerwp-grid-3.tabs-section ul.tabs {
    border-top: 3px solid var(--primary-color);
}
.walkerwp-wraper.inner-wraper main#primary .content-layout.grid-layout{
    grid-gap: 30px;
}
.walkerwp-container{
    padding: 0 30px;
}
.walkerwp-wraper.inner-wraper main#primary {
    padding: 0 30px 0 0;
}
.walkerwp-grid-1, .walkerwp-grid-2, .walkerwp-grid-3, .walkerwp-grid-4, .walkerwp-grid-5, .walkerwp-grid-6, .walkerwp-grid-7, .walkerwp-grid-8, .walkerwp-grid-9, .walkerwp-grid-10, .walkerwp-grid-11, .walkerwp-grid-12{
    padding-left: 30px;
}
.walkerwp-wraper.category-post-wraper {
    padding: 15px 0;
}
.walkerwp-wraper.banner-layout {
    padding: 30px 0 10px;
}
.sidebar-block, .frontpage-sidebar-block {
    padding: 0;
}
.walkerwp-wraper.inner-wraper main#primary .content-layout.grid-layout article {
    margin: 0 0 30px;
}

.frontpage-content-block.walkerwp-grid-8.sidebar-activated {
    padding-left: 0;
}
.walkerpress-custom-header {
    text-align: center;
    padding: 10px 15px;
		padding-top: 0;
}
.walkerpress-custom-header span {
    color: var(--primary-color);
    background: transparent;
}
.three-category.featured-list-layout .walkerwp-grid-4 .post-box.featured-post .post-thumbnail{
    height: 320px;
}
.frontpage-content-block.walkerwp-grid-12 {
    width: 100%;
    padding: 0;
}
.walkerwp-wraper.ticker-news-wraper .ticker-header:after{
    display: none;
}
.walkerwp-grid-3.sidebar-block .walkerpress-custom-header {
    text-align: left;
}
.walkerwp-grid-3.sidebar-block .walkerpress-custom-header span {
    padding: 0;
}
header.header-layout-1 .sidebar-slide-button {
    right: 48px;
}
.category-two.style-2 li.post-box.featured-post .post-thumbnail{
    width: 100%;
}
.sidebar-widget-block.popular-post .walkerpress-custom-header,
.sidebar-widget-block.latest-post .walkerpress-custom-header{
    padding-top: 20px;
}
@media(max-width: 1024px){
     .walkerwp-wraper.inner-wraper main#primary {
        padding: 0;
    }
}
@media(max-width: 767px){
    .site-branding h1.site-title {
        font-size: 32px !important;
    }

}

@media(max-width: 480px){
    .site-branding h1.site-title {
        font-size: 18px !important;
    }
}

/** Custom Styles **/

/** Columns **/
.columns {
    width: 100%;
    display: flex;
    gap: 24px;
    margin-top: 16px;
    justify-content: space-between;
}

.columns-main {
    width: 56.52%;
    border-top: 2px solid #d63476;
    padding: 15px;
    box-shadow: 0 0 15px rgb(0 0 0 / 13%);
}

.columns-item {
    width: 21.7%;
}

.columns-item--left {
    border-top: 2px solid #d63476;
    padding: 15px;
    box-shadow: 0 0 15px rgb(0 0 0 / 13%);
}

.columns-item--right {
    border-top: 2px solid #d63476;
    padding: 15px;
    box-shadow: 0 0 15px rgb(0 0 0 / 13%);
}

.columns-item--right .media-tabs {
    margin-top: 32px;
}

/** About Leader **/
.about-leader {
    position: relative;
    width: 100%;
    height: 531px;
    display: flex;
    align-items: flex-end;
}

.about-leader-image {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.about-leader-info {
    position: relative;
    z-index: 2;
    background: rgba(217, 217, 217, 0.9);
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 12px 0;
}

.about-leader__name {
    font-size: 16px;
    font-weight: 800;
    text-transform: uppercase;
    color: #000;
}

/** Admin Structure **/

.admin-structure {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 20px;
}

.admin-structure__map {
    width: 90%;
    margin-top: 8px;
}

.admin-structure-block--height-a .admin-structure__map {
    width: 70%;
}

.admin-structure__desc {
    text-align: center;

    display: inline-block;
    font-size: 18px;
    font-weight: bold;
    line-height: 1.1;
    color: var(--text-color) !important;
    text-decoration: none;
    max-width: 280px;
}

.admin-structure-block .about-leader-info {
    margin-top: 2em;
}

.admin-structure-col {
    min-height: auto !important;
}

.admin-structure-block {
    height: 547px;
}

.admin-structure-block--height-a {
	height: auto;
    margin-bottom: 32px;
}

.admin-structure-block .walkerpress-custom-header {
    padding-bottom: 18px;
}

/** Sidebar Links **/
.sidebar-links {
    border-top: 2px solid #d63476;
    padding-top: 15px;
}

.sidebar-links-item {
    display: flex;
    align-items: center;
    font-size: 18px;
    color: #0172CC !important;
    text-decoration: none;
    font-weight: 600;
    line-height: 1.2;
}

.sidebar-links-item--right {
    flex-direction: row-reverse;
    justify-content: space-between;
}

.sidebar-links-item:not(:last-child) {
    margin-bottom: 16px;
}

.sidebar-links-item__icon {
    width: 70px;
    margin-right: 16px
}

/** News Tabs **/

.news-block {
    padding-top: 8px;
    border-top: 2px solid var(--primary-color);
}

.news-block .tabs {
    padding: 0;
}

.news-block ul.tabs li {
    padding: 15px 10px;
    font-size: 20px;
}

.news-block .walkerpress-post-thumbnails {
    height: 190px;
}

/** Media Tabs **/
.media-tabs {
    padding-top: 16px;
    border-top: 2px solid var(--primary-color);
}

.media-tabs .tabs {
    padding: 0;
    margin-bottom: 8px;
}

.media-item {
    text-decoration: none;
    color: #000 !important;
}

.media-item-main {
    width: 100%;
}

.media-item-main img, .media-item-main iframe, .media-item-main video {
    width: 100%;
    height: 250px;
    margin-bottom: 6px;
}

.media-item-title {
    font-size: 18px;
    font-weight: 600;
    display: block;
    line-height: 1.2;
    margin-bottom: 6px;
}

.media-item .walkerpress-post-date {
    margin-left: 0;
}

.media-item-main img {
    object-fit: cover;
}

/** Margins **/
.columns-item--left .about-leader {
    margin-bottom: 32px;
}

.columns-item--left .sidebar-links {
    margin-bottom: 32px;
}

.columns-item--right .admin-structure-block {
    margin-bottom: 32px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.columns-main .banner-slider-1 {
    overflow: hidden;
    width: 100% !important;
    margin-bottom: 25px;
}

.columns-main .swiper-containerm .columns-main .swiper-wrapper  {
    display: inherit;
}

.columns-main .swiper-slide {
}

.more-link {
    display: block;
    margin-top: 12px;
    font-size: 16px;
    text-align: center;
    width: 100%;
    background: #003200;
    padding: 12px;
    color: #fff !important;
    text-decoration: none;
    text-transform: uppercase;
    transition: all 0.2s ease;
}

.more-link:hover {
    opacity: 0.7;
}


/** Media */

@media screen and (max-width: 1500px) {
    .walkerpress-slide-box .slide-image,
    .admin-structure-block {
        height: 450px !important;
    }

    .about-leader {
        height: 434px !important;
    }

    .admin-structure-block .walkerpress-custom-header span {
        font-size: 18px;
    }

    .media-item-main img, .media-item-main iframe, .media-item-main video {
        height: 200px !important;
    }
}

@media screen and (max-width: 1370px) {
    .sidebar-links-item {
        font-size: 16px;
    }

    .sidebar-links-item:not(:last-child) {
        margin-bottom: 12px;
    }

    .sidebar-links-item__icon {
        width: 40px;
        margin-right: 12px
    }

    .about-leader__name {
        font-size: 14px;
    }

    .about-leader__position {
        font-size: 13px;
    }

    .news-block ul.tabs li {
        padding: 12px 8px;
    }

    .news-block ul.tabs li h6 {
        font-size: 16px;
    }

    .media-item-title {
        font-size: 16px;
    }
}

@media screen and (max-width: 1100px) {
    .columns {
        flex-wrap: wrap;
    }

    .columns-main {
        width: 100%;
        order: 1;
    }

    .columns-item {
        width: calc(50% - 16px);
    }

    .columns-item--right {
        order: 3;
    }

    .columns-item--left {
        order: 2;
    }

    .walkerpress-slide-box .slide-image,
    .admin-structure-block {
        height: 500px !important;
    }

    .about-leader {
        height: 484px !important;
    }

    .admin-structure {
        height: 100%;
    }

    .admin-structure__map {
        width: auto !important;
        height: 60%;
    }

    .columns-main .banner-slider-1 {
        margin-bottom: 12px;
    }

    .main-navigation ul li a {
        font-size: 14px;
        padding: 4px 16px;
    }

    .site-branding {
        width: 100vw !important;
    }

    .walkerwp-wraper.main-header .site-branding {
        padding-top: 35px !important;
        padding-bottom: 35px !important;
    }

    .navigation {
        padding: 12px 0;
    }

    .tabs {
        margin-bottom: 12px !important;
    }
}

@media screen and (max-width: 754px) {
    .main-header .walkerwp-container {
        padding: 0 !important;
    }

    .site-branding {
        padding: 25px 35px !important;
        text-align: left;
        justify-content: center;
    }

    .site-branding-content {
        margin-left: 20px !important;
    }

    .site-branding h1.site-title {
        max-width: 142px;
        display: block;
    }

    .site-branding .site-description {
        margin-top: 4px;
        font-size: 12px !important;
    }

    .navigation {
        padding: 6px 0;
    }

    .walkerwp-wraper.main-header .site-branding {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
    }

    .columns-main .banner-slider-1 {
        height: 500px;
    }

    .walkerpress-recentpost-box {
        flex-direction: column;
    }

    .news-block .walkerpress-post-thumbnails {
        width: 100%;
        height: 250px;
        margin-bottom: 16px;
    }

    .walkerpress-recentpost-box .content-part.with-thumbnail, .popular-posts .with-thumbnail {
        padding-left: 0;
        width: 100%;
    }

    .walkerpress-recentpost-box .content-part.with-thumbnail p {
        margin-bottom: 8px;
    }

    .columns-item {
        width: 100%;
    }

    .columns-item--left, .columns-item--right {
        margin-bottom: 16px;
    }
}

/** Latest News Sidebar */
.latest-news-block ul {
    padding: 0;
    margin: 0;
}

.latest-news .walkerpress-post-date {
    margin-left: 0;
}

/** Needed Block */
.needed-sidebar {
    margin-top: 32px;
    margin-bottom: 16px;
}

/** Symbol Items */
.symbol-items .wp-block-image img {
    height: 200px;
    margin-bottom: 24px;
}

.symbol-items p {
    font-size: 18px;
    font-weight: 600;
}

.symbol-items p a {
    text-decoration: none;
}

/** Deputy */
.deputy-content {
    display: flex;
    justify-content: space-between;
    margin-top: 24px;
}

.deputy-image {
    width: 30%;
}

.deputy-data {
    width: 68%;
}

.deputy-data-item {
    display: flex;
    border: 2px solid #0E5196;
    border-bottom: none;
    font-size: 16px;
}

.deputy-data-item:last-child {
    border-bottom: 2px solid #0E5196;
}

.deputy-data-item-head {
    width: 30%;
    border-right: 2px solid #0E5196;
    font-weight: 600;
}

.deputy-data-item-body {
    width: 70%;
}

.deputy-data-item-head, .deputy-data-item-body {
    padding: 12px;
}

@media screen and (max-width: 768px) {
    .deputy-content {
        flex-direction: column;
    }

    .deputy-image, .deputy-data {
        width: 100%;
    }
    .deputy-data-item {
        font-size: 14px;
    }
}

/** Leaders Block */
.leaders-block {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 32px;
}

.leaders-block-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: #fff;
}

.leaders-block-item__image {
    width: 100%;
    height: 400px;
    object-fit: cover;
    margin-bottom: 16px;
}

.leaders-block-item__name {
    margin-top: 0;
    color: #000;
    text-align: center;
}

@media screen and (max-width: 1500px) {
    .leaders-block {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media screen and (max-width: 600px) {
    .leaders-block {
        grid-template-columns: 1fr;
    }
}

/** Links List */
.links-list-item {
    display: block;
    font-size: 18px;
    color: #024703 !important;
    padding: 16px 0;
    text-decoration: none;
    border-bottom: 2px solid #024703;
}

.links-list-item:hover {
    opacity: 0.7;
}

/** Gallery */

.gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 16px;
}

.gallery-item {
    position: relative;
    display: block;
}

.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery-item__title {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: #000;
    font-weight: 600;
    text-align: left;
    padding: 10px 16px;
    background: rgba(256, 256, 256, 0.8);
    text-transform: uppercase;
}

.main-navigation .sub-menu li a {
    font-size: 0.8vw;
    /*text-transform: none !important;*/
    line-height: 120% !important;
    padding: 0.625vw 1vw !important;
}

@media screen and (max-width: 1024px) {
    .main-navigation .sub-menu li a {
        font-size: 12px !important;
        padding: 12px !important;
    }
}

.main-navigation .sub-menu li a::after {
    top: 30% !important;
}

@media screen and (max-width: 1000px) {
    .gallery {
        grid-template-columns: 1fr;
        grid-gap: 16px;
    }
}

/** Auth Submit Form */
.wpum-login-form label {
    margin-bottom: 6px !important;
}

.field input {
    font-size: 14px;
    padding: 12px 24px;
}

.fieldset-remember {
    display: flex;
    align-items: center;
}

.wpum-login-form input.button {
    font-size: 14px;
    padding: 12px;
    width: 100%;
    max-width: 150px;
    text-transform: uppercase;
    background: #000;
    color: #fff;
    border: none;
}

.wpum-action-links {
    margin-left: 0 !important;
}

.fieldset-remember {
    margin-bottom: 0;
}

.wpum-action-links li {
    display: flex;
    flex-direction: column;
}

/** Regulations */

.regulation {
    margin-bottom: 24px;
    display: block;
}

.regulation-link, .list-item {
    font-size: 18px;
    text-decoration: none;
    font-weight: 600;
}

.list-item {
    display: block;
    width: 100%;
    padding: 12px 0;
    border-bottom: 1px solid #c4c4c4;
}

.wp-block-file:not(.wp-element-button) {
    font-size: 16px;
    display: flex !important;
    align-items: center;
}

.wp-block-file a:not(.wp-block-file__button) {
    text-decoration: none;
    color: #024703 !important;
    font-weight: 600;
}

.wp-block-file__button {
    color: #fff !important;
}

.honorable-citizens {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
}

.honorable-citizens .leaders-block-item__image {
    height: auto;
    aspect-ratio: 1 / 1;
    object-position: top;
}

@media screen and (min-width: 780px) {
    .symbol-items {
        gap: 0 !important;
    }

    .symbol-items .wp-block-column {
        padding: 0 15px;
        width: 33.3%;
    }

    .symbol-items .wp-block-column:not(:last-child) {
        border-right: 2px solid var(--primary-color);
    }
}

